Subject: RE: [Sigtran] M3UA: Dynamic routing Key modification

From: "Wung, Joseph" <[email-masked]>
Date: Tue, 30 Jul 2002 11:32:22 -0400

Thank to Brian for putting together the threads as it relates to Routing Key
modifications.  I'm sure it has helped many new subscribers like me.
Lacking the procedures to modify an existing Routing Key without impacting
unconcerned circuits in the Key is unacceptable.  I believe many have agreed

that this is a problem we have to find a solution to.

In the threads, Brian proposed a soultion by including a Routing Context in 
the REG REQ as an indication to modify the existing Routing Key as well as
the new parameters, which is simple.  In addition, Greg propsed a new 
notification after a successful modification to other ASPs that did not 
send the request.  I believe these proposals together should work, which 
should be documented somewhere.

Some raised concerns about ASP-to-ASP coordinations that might be needed to
make it work.  Those concerns look to me are more about any possible
solutions
in general than about the particular one mentioned above.  One might well
argue that those concerns were valid even in today's "add" and "delete."

We should proceed with the proposed solution.

Joe

-----Original Message-----
From: Brian F. G. Bidulock [mailto:[email-masked]]
Sent: Monday, July 29, 2002 7:39 PM
To: Ken Morneault; Lyndon Ong
Cc: Wung, Joseph; sigtran
Subject: Re: [Sigtran] M3UA: Dynamic routing Key modification

Ken, Lyndon,

Attached are the threads containing the proposal and discussion.
Lyndon proposed this be an extension draft last October.  It don't
think that an extension draft should be necessary to address only
two paragraphs and one parm change.  The SCTP IG makes rather
significant changes to RFC 2960, I don't see why the same should
not happen for the M3UA IG.  Also, an IG is an implementor's guide,
not an interop report.  Interops are not a formal part of the IETF
process.  It seems bad process to me to restrict the document to
only addressing comments from those who attended an ETSI event.

M3UA claims to support ISUP.  ISUP is unmanageable without the
ability to alter circuit assignments without tearing down an AS
at the expense of losing all the calls on other circuits in the
AS.  As it stands the only way to acheive what is needed is to
assign a different RC value to each CIC from each point code and
perform AS activation and deactivation on a circuit by circuit basis.
This is not a workable situation either: performing 100,000 activations
at boot time for a large switching center using M3UA for ISUP is
not workable.  Losing hundreds or even tens of thousands of call
setups as a result of adding or deleting or moving a circuit assignment
is also unworkable.

By the way, what in the world is keeping M3UA (and particularly
M2UA which was IETF LC even longer ago) from being assigned an RFC
number?  I has been almost 6 months since the M2UA and M3UA drafts
were forwarded.  How deep is the queue?  Should we expect and RFC
number ever?

--brian

Ken Morneault wrote:                                          (Mon, 29 Jul
2002 18:13:53)
> 
> 
> Joe,
> 
> First, let me say "unrealistic" was the wrong word, it should
> have been "unworkable".  Of course, you should read the email 
> thread yourself and come to your own conclusion.
> 
> Further, I have to wonder how much real interest is behind this
> when the issue given the brief discussion in Sept/Oct and single 
> query in May and nothing more.  If it was a hot issue for many 
> people, I'm sure it would have been pressed to conclusion as 
> have so many other issues during these past months. 
> 
> I want to make a final note that I was not involved in the original
> email thread discussing this topic.  I have not evaluated
> the proposal and still feel it is best that it be re-posted to
> the list for discussion. 
> 
> Regards,
> 
> Ken
> 

-- 
Brian F. G. Bidulock
[email-masked]
http://www.openss7.org/

_______________________________________________
Sigtran mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/sigtran

---

From: "Tolga Asveren" <[email-masked]>
Date: Wed, 31 Jul 2002 09:20:13 -0400

I also think that this is a problem, which should be addressed and that
Brian's proposal is a good one. NTFY also might be usefull, but IMO the real
reponsibility should be on implementation dependent inter-ASP communication
and NTFY shouldn't have a meaning more than advisory -as it has now for
other cases-.

     Tolga

> From: [email-masked] [mailto:[email-masked]]On Behalf Of
> Wung, Joseph
> Sent: Tuesday, July 30, 2002 11:32 AM
> To: sigtran
> Subject: RE: [Sigtran] M3UA: Dynamic routing Key modification
>
>
>